grk::CodingParams Struct Reference

Coding parameters. More...

`#include <CodingParams.h>`

## Public Member Functions

| CodingParams ()
| ~CodingParams ()
grk_rect32 | getTileBounds (const GrkImage *p_image, uint32_t tile_x, uint32_t tile_y) const

## Public Attributes

uint16_t | rsiz
| Rsiz.
uint32_t | pcap
uint16_t | ccap [32]
uint32_t | tx0
| XTOsiz.
uint32_t | ty0
| YTOsiz.
uint32_t | t_width
| XTsiz.
uint32_t | t_height
| YTsiz.
size_t | num_comments
| comments
char * | comment [GRK_NUM_COMMENTS_SUPPORTED]
uint16_t | comment_len [GRK_NUM_COMMENTS_SUPPORTED]
bool | isBinaryComment [GRK_NUM_COMMENTS_SUPPORTED]
uint16_t | t_grid_width
| number of tiles in width
uint16_t | t_grid_height
| number of tiles in height
PPMMarker * | ppm_marker
TileCodingParams * | tcps
| tile coding parameters
union { |
DecodingParams dec_ |
EncodingParams enc_ |
} | coding_params_ |
TileLengthMarkers * | tlm_markers
PLMarkerMgr * | plm_markers
bool | wholeTileDecompress_

## Detailed Description

Coding parameters.

## Constructor & Destructor Documentation

## CodingParams()

grk::CodingParams::CodingParams | ( |  | ) |

References coding_params_, and grk::grk_read().

## ~CodingParams()

grk::CodingParams::~CodingParams | ( |  | ) |

References comment, grk::grk_read(), num_comments, plm_markers, ppm_marker, tcps, and tlm_markers.

## Member Function Documentation

## getTileBounds()

grk_rect32 grk::CodingParams::getTileBounds | ( | const GrkImage * | p_image,
|  | uint32_t | tile_x,
|  | uint32_t | tile_y
| ) |  | const

References grk::grk_read(), t_height, t_width, tx0, and ty0.

Referenced by grk::CodeStreamDecompress::decompressTile(), and grk::TileProcessor::init().

## Member Data Documentation

## ccap

uint16_t grk::CodingParams::ccap[32]

Referenced by grk::CodeStreamDecompress::read_cap().

## [union]

union { ... } grk::CodingParams::coding_params_

Referenced by grk::TileProcessor::canPreCalculateTileLen(), CodingParams(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::TileProcessor::doCompress(), grk::CodeStreamCompress::end(), grk::TileProcessor::getMaxNumDecompressResolutions(), grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::init(), grk::CodeStreamCompress::init_header_writing(), grk::TileProcessor::layerNeedsRateControl(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), grk::GrkImage::postReadHeader(), grk::TileProcessor::rateAllocate(), grk::CodeStreamDecompress::read_plt(), grk::CodeStreamDecompress::read_tlm(), and grk::CodeStreamDecompress::setDecompressRegion().

## comment

char* grk::CodingParams::comment[GRK_NUM_COMMENTS_SUPPORTED]

Referenced by grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::read_com(), grk::CodeStreamDecompress::readHeader(), grk::CodeStreamCompress::write_com(), and ~CodingParams().

## comment_len

uint16_t grk::CodingParams::comment_len[GRK_NUM_COMMENTS_SUPPORTED]

Referenced by grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::read_com(), grk::CodeStreamDecompress::readHeader(), and grk::CodeStreamCompress::write_com().

## dec_

DecodingParams grk::CodingParams::dec_

Referenced by grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::TileProcessor::getMaxNumDecompressResolutions(), grk::CodeStreamDecompress::init(), grk::GrkImage::postReadHeader(), grk::CodeStreamDecompress::read_plt(), grk::CodeStreamDecompress::read_tlm(), and grk::CodeStreamDecompress::setDecompressRegion().

## enc_

EncodingParams grk::CodingParams::enc_

Referenced by grk::TileProcessor::canPreCalculateTileLen(), grk::TileProcessor::doCompress(), grk::CodeStreamCompress::end(), grk::CodeStreamCompress::init(), grk::CodeStreamCompress::init_header_writing(), grk::TileProcessor::layerNeedsRateControl(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), and grk::TileProcessor::rateAllocate().

## isBinaryComment

bool grk::CodingParams::isBinaryComment[GRK_NUM_COMMENTS_SUPPORTED]

Referenced by grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::read_com(), grk::CodeStreamDecompress::readHeader(), and grk::CodeStreamCompress::write_com().

## num_comments

size_t grk::CodingParams::num_comments

comments

Referenced by grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::read_com(), grk::CodeStreamDecompress::readHeader(), grk::CodeStreamCompress::write_com(), and ~CodingParams().

## pcap

uint32_t grk::CodingParams::pcap

Referenced by grk::CodeStreamDecompress::read_cap(), and grk::CodeStreamDecompress::read_SPCod_SPCoc().

## plm_markers

PLMarkerMgr* grk::CodingParams::plm_markers

Referenced by grk::PLCache::next(), grk::CodeStreamDecompress::read_plm(), grk::PLCache::rewind(), and ~CodingParams().

## ppm_marker

PPMMarker* grk::CodingParams::ppm_marker

Referenced by grk::CodeStreamDecompress::read_ppm(), and ~CodingParams().

## rsiz

uint16_t grk::CodingParams::rsiz

Rsiz.

Referenced by grk::TileProcessor::canWritePocMarker(), grk::CodeStreamCompress::init(), grk::CodeStreamCompress::init_header_writing(), grk::CodeStreamCompress::mct_validation(), and grk::PacketManager::PacketManager().

## t_grid_height

uint16_t grk::CodingParams::t_grid_height

number of tiles in height

Referenced by grk::CodeStreamCompress::compress(), grk::CodeStreamDecompress::copy_default_tcp(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::CodeStreamDecompress::dump_MH_info(), grk::CodeStreamCompress::getNumTileParts(), grk::CodeStreamCompress::init(), grk::CodeStreamCompress::mct_validation(), grk::PacketManager::PacketManager(), grk::TileProcessor::preCompressTile(), grk::CodeStreamDecompress::read_siz(), grk::CodeStreamDecompress::read_tlm(), grk::CodeStreamDecompress::readHeader(), and grk::CodeStreamDecompress::setDecompressRegion().

## t_grid_width

uint16_t grk::CodingParams::t_grid_width

number of tiles in width

Referenced by grk::CodeStreamCompress::compress(), grk::CodeStreamDecompress::copy_default_tcp(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::CodeStreamDecompress::dump_MH_info(), grk::CodeStreamCompress::getNumTileParts(), grk::CodeStreamCompress::init(), grk::TileProcessor::init(), grk::CodeStreamCompress::mct_validation(), grk::TileProcessor::preCompressTile(), grk::CodeStreamDecompress::read_siz(), grk::CodeStreamDecompress::read_tlm(), grk::CodeStreamDecompress::readHeader(), and grk::CodeStreamDecompress::setDecompressRegion().

## t_height

uint32_t grk::CodingParams::t_height

YTsiz.

Referenced by grk::CodeStreamCompress::compressValidation(), grk::CodeStreamDecompress::decompressTiles(), grk::CodeStreamDecompress::dump_MH_info(), getTileBounds(), grk::CodeStreamCompress::init(), grk::GrkImage::postReadHeader(), grk::CodeStreamDecompress::readHeader(), grk::CodeStreamDecompress::setDecompressRegion(), and grk::GrkImage::supportsStripCache().

## t_width

uint32_t grk::CodingParams::t_width

XTsiz.

Referenced by grk::CodeStreamCompress::compressValidation(), grk::CodeStreamDecompress::dump_MH_info(), getTileBounds(), grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::readHeader(), grk::CodeStreamDecompress::setDecompressRegion(), and grk::GrkImage::supportsStripCache().

## tcps

TileCodingParams* grk::CodingParams::tcps

tile coding parameters

Referenced by grk::TileProcessor::canPreCalculateTileLen(), grk::TileProcessor::canWritePocMarker(), grk::PacketIter::checkForRemainingValidProgression(), grk::CodeStreamCompress::compare_coc(), grk::CodeStreamCompress::compare_SPCod_SPCoc(), grk::CodeStreamCompress::compare_SQcd_SQcc(), grk::CodeStreamCompress::compressValidation(), grk::CodeStreamDecompress::copy_default_tcp(), grk::CodeStreamDecompress::decompressTile(), grk::TileProcessor::doCompress(), grk::PacketIter::enableTilePartGeneration(), grk::CodeStreamDecompress::findNextSOT(), grk::CodeStreamDecompress::get_current_decode_tcp(), grk::CodeStreamCompress::get_SPCod_SPCoc_size(), grk::CodeStreamCompress::get_SQcd_SQcc_size(), grk::TileProcessor::getMaxNumDecompressResolutions(), grk::PacketManager::getNumProgressions(), grk::CodeStreamCompress::getNumTileParts(), grk::TileProcessor::getTileCodingParams(), grk::CodeStreamCompress::init(), grk::TileProcessor::init(), grk::CodeStreamCompress::init_header_writing(), grk::CodeStreamCompress::mct_validation(), grk::PacketManager::PacketManager(), grk::CodeStreamDecompress::parseTileParts(), grk::PacketParser::readData(), grk::TileLengthMarkers::seek(), grk::CodeStreamCompress::write_cap(), grk::CodeStreamCompress::write_coc(), grk::CodeStreamCompress::write_cod(), grk::CodeStreamCompress::write_mco(), grk::CodeStreamCompress::write_mct_data_group(), grk::CodeStreamCompress::write_regions(), grk::CodeStreamCompress::write_SPCod_SPCoc(), grk::CodeStreamCompress::write_SQcd_SQcc(), grk::CodeStreamCompress::writePoc(), grk::CodeStreamCompress::writeTilePart(), grk::CodeStreamCompress::writeTileParts(), and ~CodingParams().

## tlm_markers

TileLengthMarkers* grk::CodingParams::tlm_markers

Referenced by grk::CodeStreamDecompress::hasTLM(), grk::CodeStreamDecompress::nextTLM(), grk::CodeStreamDecompress::read_tlm(), grk::CodeStreamDecompress::readHeaderProcedureImpl(), grk::CodeStreamDecompress::skipNonScheduledTLM(), grk::CodeStreamCompress::write_tlm_begin(), grk::CodeStreamCompress::write_tlm_end(), grk::CodeStreamCompress::writeTilePart(), and ~CodingParams().

## tx0

uint32_t grk::CodingParams::tx0

XTOsiz.

Referenced by grk::CodeStreamDecompress::dump_MH_info(), getTileBounds(), grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::readHeader(), and grk::CodeStreamDecompress::setDecompressRegion().

## ty0

uint32_t grk::CodingParams::ty0

YTOsiz.

Referenced by grk::CodeStreamDecompress::dump_MH_info(), getTileBounds(), grk::CodeStreamCompress::init(), grk::CodeStreamDecompress::readHeader(), grk::CodeStreamDecompress::setDecompressRegion(), and grk::GrkImage::supportsStripCache().

## wholeTileDecompress_

bool grk::CodingParams::wholeTileDecompress_

Referenced by grk::CodeStreamCompress::CodeStreamCompress(), grk::TileProcessor::decompressT2T1(), grk::CodeStreamDecompress::decompressTiles(), grk::PacketIter::isWholeTile(), grk::CodeStreamDecompress::postProcess(), grk::CodeStreamDecompress::setDecompressRegion(), and grk::GrkImage::supportsStripCache().

The documentation for this struct was generated from the following files:

- CodingParams.h
- CodingParams.cpp